Skip to main content
POST
Create a webhook

Authorizations

Authorization
string
header
required

Body

application/json

WebhookCreateRequest object

Body of a POST /v6/webhooks request.

name
required

Choose between static or dynamic name

url
required

Choose between static or dynamic url

client_key_id

Choose between static or dynamic client key id

component_ids
string[]
component_references
object[]
default_method

Choose between static or dynamic default method

description

Choose between static or dynamic description

enabled

Choose between static or dynamic enabled

request

Choose between static or dynamic request

response_body_handler

Choose between static or dynamic response body handler

response_handler

if no webhook response status is provided, we will retry non 2xx webhook requests

retry_intervals

Choose between static or dynamic retry intervals

RFC 5545 duration string.

Pattern: ^[-+]?P(?:(?:[-+]?[0-9]+D)(?:T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)?|T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)$
tags
string[]
type
enum<string>
Available options:
CLIENT,
GENERIC,
PARTNER,
REWARD

Response

Successful response

Stored client webhook definition. Fields name, url, client_key_id, request, response_handler, enabled, description, default_method, and retry_intervals are unevaluated and appear in buildtime-evaluatable form.

client_key_id
required

The client key id as configured: a literal value, or an expression (type:string) when defined dynamically.

component_ids
string[]
required
component_references
object[]
required
created_at
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

default_method
required

The default method as configured: a literal value, or an expression (type:string) when defined dynamically.

description
required

The description as configured: a literal value, or an expression (type:string) when defined dynamically.

enabled
required

The enabled as configured: a literal value, or an expression (type:string) when defined dynamically.

id
string
required
read-only
name
required

The name as configured: a literal value, or an expression (type:string) when defined dynamically.

request
required

The request as configured: a literal value, or an expression (type:string) when defined dynamically.

response_handler
required

if no webhook response status is provided, we will retry non 2xx webhook requests

retry_intervals
required

The retry intervals as configured: a literal value, or an expression (type:string) when defined dynamically.

RFC 5545 duration string.

Pattern: ^[-+]?P(?:(?:[-+]?[0-9]+D)(?:T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)?|T(?=(?:[-+]?[0-9]+H|[-+]?[0-9]+M|[-+]?[0-9]+(?:[.,][0-9]*)?S))(?:[-+]?[0-9]+H)?(?:[-+]?[0-9]+M)?(?:[-+]?[0-9]+(?:[.,][0-9]*)?S)?)$
tags
string[]
required
type
enum<string>
required
Available options:
CLIENT
updated_at
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

url
required

The url as configured: a literal value, or an expression (type:string) when defined dynamically.